Subject: bug#25665: 26.0.50; [PATCH] Indicate prefix arg in minibuffer prompt for shell-command

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 01:04:48 +0200

Tino Calancha <[email-masked]> writes:

>> When using 'C-u M-!' ('shell-command') I feel confident if the
>> minibuffer prompt becomes
>>
>>   Shell command and insert output:
>>
>> since it explains the purpose of the prefix argument. The same thing
>> goes for 'M-&' ('async-shell-command') and 'M-|'
>> ('shell-command-on-region').
> I am not sure about this.
> The meaning of the prefix argument must be explained in the docstring.
> That and the manual are the source of documentation, not the prompt.

There didn't seem to be much enthusiasm for the proposed change, so I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no